package cz.moneta.test.dsl.cagw.auth.oauth.v2.token;

import cz.moneta.test.dsl.cagw.CaGwAuthRequest;
import cz.moneta.test.harness.support.rest.CallType;
import cz.moneta.test.harness.support.rest.Post;

@Post(value = "auth/oauth/v2/token", callType = CallType.FORM)
public interface OauthToken extends CaGwAuthRequest<OauthToken, OauthTokenRequest, OauthTokenResponse> {

    OauthToken client_id(String clientId);

    OauthToken client_secret(String client_secret);

    OauthToken grant_type(String grant_type);

    OauthToken scope(String scope);
}
